# Get Receiver Bank Account

## Get Receiver Account By ID

<mark style="color:green;">`GET`</mark> `/api/receiver-account/<id>`

Get receiver account data under subaccount by ID.

**Headers**

| Name        | Value     |
| ----------- | --------- |
| `x-api-key` | `<token>` |
| `signature` | `<token>` |

#### Example request

<pre class="language-url"><code class="lang-url"><strong>/api/receiver-account/6dea4c0d-7825-4636-a0b0-c4895d451244
</strong></code></pre>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Receiver Account found",
    "payload": {
        "id": "6dea4c0d-7825-4636-a0b0-c4895d451244",
        "email": "ex@teslastudio.com",
        "asset": "AUD",
        "method_name": "direct-entry",
        "reference": "4464",
        "address_data": {
            "address": "111/22222",
            "address2": "Paklok Rd",
            "city": "Phuket",
            "state": "PK",
            "country": "THA",
            "postcode": "83110"
        },
        "account_data": {
            "account_number": "***** 1136",
            "bsb": "*** 002"
        }
    },
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Get receiver account failed",
    "error": [
        {
            "code": "REAC104",
            "message": "Receiver ID not found"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get Receiver Account List From Receiver

<mark style="color:green;">`GET`</mark> `/api/receiver-account/receiver/<id>`

Get receiver account from receiver.

**Headers**

| Name        | Value     |
| ----------- | --------- |
| `x-api-key` | `<token>` |
| `signature` | `<token>` |

#### Example request

```url
/api/receiver-account/receiver/a6980641-e785-447a-960d-036bd29c5ece
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Receiver Account found",
    "payload": [
        {
            "id": "6dea4c0d-7825-4636-a0b0-c4895d451244",
            "email": "ex@teslastudio.com",
            "asset": "AUD",
            "method_name": "direct-entry",
            "reference": "4464",
            "address_data": {
                "address": "111/22222",
                "address2": "Paklok Rd",
                "city": "Phuket",
                "state": "PK",
                "country": "THA",
                "postcode": "83110"
            },
            "account_data": {
                "account_number": "***** 1136",
                "bsb": "*** 002"
            }
        },
        {
            "id": "e5b088e1-cf4a-4e91-bb65-3c7e07b9b314",
            "email": "alex@riverstudio.com",
            "asset": "AUD",
            "method_name": "direct-entry",
            "reference": "5589",
            "address_data": {
                "address": "88/99999",
                "address2": "Evergreen Terrace",
                "city": "Springfield",
                "state": "SP",
                "country": "USA",
                "postcode": "49007"
            },
            "account_data": {
                "account_number": "***** 4455",
                "bsb": "*** 200"
            }
        }
    ]
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Get receiver account failed",
    "error": [
        {
            "code": "REAC101",
            "message": "Receiver Account ID not found"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payswiftly.io/payout-api/receiver/get-receiver-bank-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
